package com.ibm.samples;
import java.io.*;
import java.net.*;
import com.ibm.broker.plugin.*;
public class WMQI_FTPSession {
	//--------------------------------
	//- WMQI byteStream
	ByteArrayOutputStream byteStream;
	public void setByteStream(ByteArrayOutputStream byteStream) {
		this.byteStream = byteStream;
	}
	public ByteArrayOutputStream getByteStream() {
		return byteStream;
	}
	
	//--------------------------------
	//- WMQI input node
	FTPDNode node;
	public void setNode(FTPDNode node) {
		this.node = node;
	}
	public FTPDNode getNode() {
		return node;
	}
	//--------------------------------
	//- WMQI message
	MbMessageAssembly assembly;
	public void setAssembly(MbMessageAssembly assembly) {
		this.assembly = assembly;
	}
	public MbMessageAssembly getAssembly() {
		return assembly;
	}
	
	//--------------------------------
	//- Command socket
	Socket commandsocket;
	public void setCommandSocket(Socket commandsocket) {
		this.commandsocket = commandsocket;
	}
	public Socket getCommandSocket() {
		return commandsocket;
	}
	//--------------------------------
	//- FTP reply stream
	PrintWriter reply;
	public void setReply(PrintWriter reply) {
		this.reply = reply;
	}
	public PrintWriter getReply() {
		return reply;
	}
	//--------------------------------
	//- FTP reply stream
	BufferedReader _in;
	public void setIn(BufferedReader in) {
		this._in = in;
	}
	public BufferedReader getIn() {
		return _in;
	}
	
	//--------------------------------
	//- client data port 
	int dataport= -1;
	public void setDataport(int dataport) {
		this.dataport = dataport;
	}
	public int getDataport() {
		return dataport;
	}
	//--------------------------------
	//- client data address
	String dataAddress="";
	public void setDataAddress(String dataAddress) {
		this.dataAddress = dataAddress;
	}
	public String getDataAddress() {
		return dataAddress;
	}
	//--------------------------------
	//- user name
	String user= "";
	public void setUser(String user) {
		this.user = user;
	}
	public String getUser() {
		return user;
	}
	//--------------------------------
	//- password
	String password= "";
	public void setPassword(String password) {
		this.password = password;
	}
	public String getPassword() {
		return password;
	}
	//--------------------------------
	//- CWD
	String CWD= "BLOB";
	public void setCWD(String CWD) {
		this.CWD = CWD;
	}
	public String getCWD() {
		return CWD;
	}
	//--------------------------------
	//- data transfer type
	static final int TYPE_ASCII = 0;
	static final int TYPE_BINARY = 1;
	int type = TYPE_ASCII;
	public void setType(int type) {
		this.type = type;
	}
	public int getType() {
		return type;
	}
	//--------------------------------
	//- record split option
	static final int SPLIT_NONE = -1;
	static final int SPLIT_CRLF = 0;
	int split = SPLIT_NONE;
	public void setSplit(int split) {
		this.split = split;
	}
	public int getSplit() {
		return split;
	}

	//--------------------------------	
	//- quit session 
	boolean quit = false;
	public void setQuit(boolean quit) {
		this.quit = quit;
	}
	public boolean getQuit() {
		return quit;
	}



}